#include <stdio.h>
#include <stdlib.h>

int main()
{int n,H,i,L,poz=-1;
printf("n:\n");
scanf("%d",&n);
printf("L:\n");
scanf("%d",&L);
for(i=1;i<=n;i++)
   {printf("H:\n");
    scanf("%d",&H);
if(H<=L)
  {poz=i;
   break;
   }}
printf("%d",poz);

    return 0;
}